var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";

function ChartRosePieOff(props) {
  return _jsxs("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: [_jsxs("g", __assign({
      opacity: 0.2,
      fillRule: "evenodd",
      clipRule: "evenodd"
    }, {
      children: [_jsx("path", {
        opacity: 0.8,
        d: "M38.086 34.474a17.265 17.265 0 002.323-8.676c0-3.16-.845-6.122-2.321-8.673L23.062 25.8l15.024 8.674z",
        fill: "url(#chart_rose_pie_off0_linear)"
      }, void 0), _jsx("path", {
        opacity: 0.8,
        d: "M10.535 19.88l9.723 5.615-9.722 5.613a11.172 11.172 0 01-1.503-5.615c0-2.044.546-3.961 1.502-5.612z",
        fill: "url(#chart_rose_pie_off1_linear)"
      }, void 0), _jsx("path", {
        opacity: 0.8,
        d: "M22.58 5.66v18.598l15.988-9.23C35.31 9.541 29.386 5.823 22.58 5.661z",
        fill: "url(#chart_rose_pie_off2_linear)"
      }, void 0), _jsx("path", {
        opacity: 0.8,
        d: "M35.932 34.932c-2.646 4.573-7.591 7.65-13.255 7.65V27.28l13.255 7.653z",
        fill: "url(#chart_rose_pie_off3_linear)"
      }, void 0), _jsx("path", {
        opacity: 0.8,
        d: "M13.213 19.627l7.957 4.594v-9.178h-.008a9.18 9.18 0 00-7.95 4.584z",
        fill: "url(#chart_rose_pie_off4_linear)"
      }, void 0), _jsx("path", {
        opacity: 0.8,
        d: "M9.661 33.392l11.49-6.634v13.267c-4.91 0-9.197-2.668-11.49-6.633z",
        fill: "url(#chart_rose_pie_off5_linear)"
      }, void 0)]
    }), void 0), _jsxs("defs", {
      children: [_jsxs("linearGradient", __assign({
        id: "chart_rose_pie_off0_linear",
        x1: 23.063,
        y1: 17.125,
        x2: 25.178,
        y2: 36.166,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_rose_pie_off1_linear",
        x1: 20.258,
        y1: 19.881,
        x2: 18.889,
        y2: 32.202,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_rose_pie_off2_linear",
        x1: 31.418,
        y1: 29.36,
        x2: 13.264,
        y2: 16.005,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_rose_pie_off3_linear",
        x1: 29.305,
        y1: 23.452,
        x2: 15.69,
        y2: 33.467,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_rose_pie_off4_linear",
        x1: 17.191,
        y1: 26.519,
        x2: 25.36,
        y2: 20.509,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_rose_pie_off5_linear",
        x1: 15.406,
        y1: 23.441,
        x2: 27.208,
        y2: 32.123,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0)]
    }, void 0)]
  }), void 0);
}

export var ReactComponent = ChartRosePieOff;
export default ChartRosePieOff;

